package org.jvnet.annox.model;

import java.lang.reflect.Constructor;

/**
 * Defines an annotated constructor.
 * @author Aleksei Valikov
 *
 */
public class XConstructor extends XMember<Constructor<?>> {

	/**
	 * Constructs an annotated constructor.
	 * @param constructor target constructor.
	 * @param xannotations constructor annotations.
	 */
	public XConstructor(Constructor<?> constructor, XAnnotation[] xannotations) {
		super(constructor, xannotations);
	}

	/**
	 * Returns the target constructor.
	 * @return Target constructor.
	 */
	public Constructor<?> getConstructor() {
		return getMember();
	}
}
